Introduction
 Top Next
Anuran -- A polite, automatic personal log.

Anuran is a simple, unobtrusive productivity app, designed to record and archive your text on a schedule, or at any moment. It incorporates a timed popup window that accepts your text input, which it then archives into simple, timestamped, plain-text logfiles. Unlike other applications, Anuran's popup will never steal your focus or interrupt your work. Anuran's logfile viewer, AnuVu , presents all your logfiles in an organized format for later use.

Unlike other productivity apps, which you must pre-program to remind you of your tasks, Anuran is passive, allowing you to record what you're doing at any given moment. Instead of forcefully leaping to the foreground, Anuran patiently waits for your input, and vanishes when you're done. You can bring up the Anuran popup at any time, ignore it, or temporarily switch it off. Later, you can review your notes in an organized fashion with AnuVu (or any text editor).

Rather than replace productivity apps like Outlook and EssentialPIM (or your own innate sense of time), Anuran is intended as a complement to them.

Features
· A user-configurable, timed popup that accepts any text input (Unicode not currently available).
· AnuVu , an easy-to-use logfile viewer with fast and powerful search function.
· A simple, plain-text, timestamped logfile format.
· Automatic archiving of logfiles.
· Unobtrusive design.
· Portable usage.
· No reliance on external runtimes, such as .NET or Java.

Core principles
· Simplicity of design: Do one thing, do it well. Avoid bells and whistles.
· Unobtrusiveness: Anuran will *never* steal your focus, or attempt to divert your attention from another application. You can safely ignore it until you're ready to use it, or even turn it off temporarily.
· Portability in format: Anuran will store all information in user-readable text files, not in any proprietary format.
· Portability in use: Anuran will avoid making changes to your file system outside its own directory. You can safely cart it around on a USB drive, and it will function the same way on any computer you use.
· Portability in implementation: Anuran does not require any additional software or runtimes to function (ie. .NET, Java, etc.).
· User-centric design: If you have an idea to improve Anuran that does not conflict with the other core principles, let's hear it!


General tab
 Previous Top Next
This tab defines Anuran's basic options.

Log entry timestamp: Defines the timestamp format for log entries, and how timestamps appear in AnuVu. The default, yyyy-MM-dd @ hh:mm:ss tt, appears similar to 2010-01-16 @ 09:56:48 AM in AnuVu . Click the [image] button for help on formatting.

Default tray click action: Specifies whether the Anuran popup or AnuVu appears when the tray icon is left-clicked. Default is Show popup.

Tray icon click type: Specifies whether Anuran requires a single or double-click for the Default tray click action. Default is Single-click.

Show options window on startup: Specifies whether Anuran shows this configuration dialog upon startup.

Activate pause mode on startup: Specifies whether Anuran automatically suspends the popup timer on startup. (Anuran's tray icon is shaded blue when in pause mode.)


Popup tab
This tab defines the behavior for Anuran's popup.

Show popup every: Specifies the time interval between popups. Default is 30 minutes.

Flash taskbar: Specifies how many times Anuran flashes the popup's toolbar to attract your attention. Default is 0 times.

Titlebar text: Specifies a user-configurable string of text, shown preceding the timestamp, in the popup's titlebar. This does not affect the format the log entry.

Titlebar timestamp: Specifies the timestamp's format in the popup's titlebar. This does not affect the format of the log entry. The default, yyyy-MM-dd hh:mm:ss tt, appears similar to 2010-01-16 09:56:48 AM in AnuVu. Click the [image] button for help on formatting.

Keep popup timestamp updated: If enabled, Anuran keeps the timestamp in the popup's titlebar updated with the current time. This may cause the popup to flicker on some systems. Default is disabled.

Show previous entry in popup: If enabled, Anuran's popup shows the most recent entry from your log, instead of an empty field. This may be helpful if you are working on a long-term project wish to enter the same text repeatedly in your Anuran log.

Show statusbar: If enabled, a status bar appears on the popup, with a timestamp indicating when the popup appeared. You may wish to enable this if Keep popup timestamp updated is enabled. Default is disabled.

Sound on popup: Specifies the WAV file to play when the popup appears. Leave blank to disable (default). Click the [image] button to select a WAV file to play and click the [image] button to hear it.

Enter/Ctrl-Enter behavior: Controls how Anuran interprets the ENTER key when the popup is selected. By default, when ENTER is pressed, Anuran saves the entered text and closes the popup, and creates a new line when CTRL-ENTER is pressed. If you frequently have multi-line entries, you may wish to invert this behavior.


Archive tab
When you're entering notes into Anuran, it saves them to a file called 'current.anu'. This tab allows you to set the frequency and location of Anuran's archiving. When archiving, Anuran will take the "current.anu" file, rename it according to your settings and move it to a directory of your choice.

Archive method: You have two choices --
1. Archive logs every <some time interval>. You can choose number of seconds, minutes, hours or days.
2. Archive logs daily at <specified time>.

Log filename prefix: This text, along with the timestamp format you specify next, will determine how Anuran names your archived log files.

Log timestamp: Configure how you want the timestamp for your logfiles to appear. You can click the [image] button for detailed help on how to format the timestamp. Keep in mind that this timestamp cannot contain the following characters: \ / : * ? " < > |

Sound on archive: Specifies the WAV file to play when the popup appears. Leave blank to disable (default). Click the [image] button to select a WAV file to play and click the [image] button to hear it.

Log folder: Specify where to save Anuran's log files. The 'current.anu' file will be saved into this directory and archived files will be saved to an 'archive' sub-directory.

Archive now: This button will perform an instant archiving of the 'current.anu' file.


Hotkeys tab
This tab allows you to set hotkeys for various actions.

Bring up popup immediately: Useful for entering a note without waiting for the automatic timer.

Bring up options window: Bring up the options dialog.

Close popup immediately: Useful for closing the popup from keyboard if you don't want to enter a note.

Launch AnuVu: Launch the viewer component of Anuran called AnuVu .

Pause popups: This will pause the popup timer and turn the frog tray icon blue.


Introduction & Usage

Introduction
AnuVu

AnuVu is the log-viewer component of Anuran.

Description
AnuVu is divided into three panes. The upper-left pane shows you the list of archived log files. The lower-left pane provides a filter-as-you-type search field. The right-side pane shows you the current "view" of your Anuran log files.

Basic usage
To display the text of log file, simply check the box next to its name. You can select as many or as few as you would like. If you want to quickly check them all, right-click a filename and choose "Check all" from the menu. You should all the text from your log files display in the right-side pane. To filter out notes that only contain the text you want to see, simply type that text into the lower-left pane. Only notes that have matching text in them will be displayed. You can also click the [image] toolbar button to change up how AnuVu displays the notes.


File
Save current view to file: Allows you to save the text that you're currently viewing the right-side pane.

Exit: Exits AnuVu (but not Anuran).


Edit
Check all: Check all items in the list for display.

Uncheck all: Uncheck all items in the list.

Select all: Select (highlight) all items in the list.

Deselect all: Deselect all items in the list.

Refresh: Re-read all log files.

Open with Notepad: Open selected/highlighted files in Notepad. This menu item can be customized in AnuVu's configuration dialog.


Options
Word wrap: Turn on word wrap for the right-side viewing pane.

Show each entry as one line: Each entry will be shown as one line in the right-side viewing pane even if is a multi-line log entry.

Configure: Bring up the following configuration dialog.

1. You can choose which fonts to use for all three of AnuVu's panes.
2. You can choose a custom editor and corresponding menu entry.


Credits
doctorfrog: Original idea, sound effects, and many contributions to this help file.
http://drfrog.wordpress.com/

Anuran's frog icon is copyright Turbomilk at http://turbomilk.com and is free to use for personal non-commercial purposes.
http://turbomilk.com/downloads/zoom_eyed/

Toolbar & button icons copyright Yusuke Kamiyamane @ http://pinvoke.com
License: Creative Commons Attribution 3.0
http://creativecommons.org/licenses/by/3.0/


Thanks
 Previous Top
As always, I'd like to thank my wife, Valerie, for her support and also my daughters, Alexis and Sienna, for putting up with their dad while he's busy working on the computer.

Furthermore, I'd like to thank DonationCoder and all the valuable members of the site that contribute ideas, comments and feedback in addition the webhosting of Anuran's files. Finally, thanks to Chris Mallet, author of AutoHotkey , the language Anuran is written in.

Suggestions, comments, bug reports and briefcases full of cash are all welcome at skwire@dcmembers.com . If email isn't your thing, I can almost always be reached at any of the following instant messages and on IRC:

ICQ (H): 18963359
ICQ (W): 115361741
MSN:     passport@skwire.net
Yahoo!:  skwire15
AIM:     skwire15
Jabber:  skwire15@jabber.org
GTalk:   skwire15@gmail.com
IRC:     #donationcoder on EFNet

If you've made it this far, thanks for reading and I hope you enjoy using Anuran.

Jody Holmes
skwire@dcmembers.com
http://skwire.dcmembers.com